{ config, ... }:

{
  systemd.tmpfiles.rules = [
    "d /var/lib/searxng 0755 root root"
  ];

  virtualisation.oci-containers.containers.searxng = {
    image = "searxng/searxng:latest";
    environment = {
      BASE_URL = "https://searxng.tailc50184.ts.net";
    };
    ports = [
      "8080:8080"
    ];
    volumes = [ "/var/lib/searxng:/etc/searxng" ];
  };

  services.caddy.virtualHosts."https://searxng.tailc50184.ts.net".extraConfig = ''
    bind tailscale/searxng
    reverse_proxy http://localhost:8080
  '';
}
